Summary:	Sparse - a semantic parser of source files
Summary(pl.UTF-8):	Sparse - analizator semantyczny plików źródłowych
Name:		sparse
Version:	0.6.4
Release:	8
License:	OSL v1.1
Group:		Development/Debuggers
Source0:	https://www.kernel.org/pub/software/devel/sparse/dist/%{name}-%{version}.tar.xz
# Source0-md5:	297257cc3c08a3e1fcea03aa660a896c
Patch0:		llvm-15.diff
URL:		https://www.kernel.org/pub/software/devel/sparse/
BuildRequires:	gtk+3-devel >= 3.0
BuildRequires:	libxml2-devel >= 2.0
BuildRequires:	llvm-devel >= 3.0
BuildRequires:	pkgconfig
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Sparse is a semantic parser of source files: it's neither a compiler
(although it could be used as a front-end for one) nor is it a
preprocessor (although it contains as a part of it a preprocessing
phase).

It is meant to be a small - and simple - library. Scanty and meager,
and partly because of that easy to use. It has one mission in life:
create a semantic parse tree for some arbitrary user for further
analysis. It's not a tokenizer, nor is it some generic context-free
parser. In fact, context (semantics) is what it's all about - figuring
out not just what the grouping of tokens are, but what the _types_ are
that the grouping implies.

%description -l pl.UTF-8
Sparse to analizator semantyczny plików źródłowych - nie jest to ani
kompilator (choć mógłby być używany jako frontend dla niego) ani
preprocesor (choć zawiera jako część fazę preprocesingu).

Sparse ma być małą i prostą biblioteką. Ledwie wystarczającą i
niewielką, i po części dlatego łatwą w użyciu. Ma jedno zadanie:
utworzyć drzewo semantyczne analizy do dowolnego późniejszego
wykorzystania. Nie jest to tokenizer ani żaden ogólny analizator
bezkontekstowy. Właściwie kontekst (semantyka) to wszystko co
istotne - przedstawianie nie tylko czym są grupowane tokeny, ale tego,
czym są _typy_ obejmowane przez grupowanie.

%prep
%setup -q
%patch0 -p1

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -fpic" \
	LDFLAGS="%{rpmldflags}" \
	PREFIX="%{_prefix}" \
	LIBDIR="%{_libdir}" \
	V=1

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	PREFIX="%{_prefix}" \
	LIBDIR="%{_libdir}" \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc FAQ LICENSE README
%attr(755,root,root) %{_bindir}/c2xml
%attr(755,root,root) %{_bindir}/cgcc
%attr(755,root,root) %{_bindir}/semind
%attr(755,root,root) %{_bindir}/sparse
%attr(755,root,root) %{_bindir}/sparse-llvm
%attr(755,root,root) %{_bindir}/sparsec
%attr(755,root,root) %{_bindir}/test-inspect
%{_mandir}/man1/cgcc.1*
%{_mandir}/man1/semind.1*
%{_mandir}/man1/sparse.1*
%changelog
* Fri Dec 13 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/sparse.git;a=log;h=master

* Fri Dec 13 2024 Jan Palus <atler@pld-linux.org> 0dffeb6
- llvm 19.1 rebuild

* Mon Jun 10 2024 Jan Palus <atler@pld-linux.org> f2595cf
- llvm 18.1 rebuild

* Thu Nov 02 2023 Jan Palus <atler@pld-linux.org> 1b37d97
- llvm 17 rebuild

* Fri May 26 2023 Jan Palus <atler@pld-linux.org> 8bb3cb8
- llvm 16 rebuild

* Fri May 26 2023 Jan Palus <atler@pld-linux.org> c6027df
- fix build with llvm 16

* Tue Oct 18 2022 Jan Palus <atler@pld-linux.org> 82e9e42
- llvm rebuild

* Wed Jun 01 2022 Jan Palus <atler@pld-linux.org> 2f3b88b
- llvm 14 rebuild

* Mon Nov 08 2021 Jan Palus <atler@pld-linux.org> 89f2133
- llvm rebuild

* Sat Sep 11 2021 Jakub Bogusz <qboosh@pld-linux.org> f63ec05
- updated to 0.6.4

* Tue May 25 2021 Jan Rękorajski <baggins@pld-linux.org> 4ce8027
- Release 4 (by relup.sh)

* Sat Jan 02 2021 Jan Rękorajski <baggins@pld-linux.org> ba420a4
- release 3 (by relup.sh)

* Sat Jan 02 2021 Jan Rękorajski <baggins@pld-linux.org> c2f7456
- release 2 (by relup.sh)

* Fri Nov 06 2020 Jakub Bogusz <qboosh@pld-linux.org> 5ce09f5
- updated to 0.6.3

* Sat Aug 22 2020 Jakub Bogusz <qboosh@pld-linux.org> b14a68a
- updated to 0.6.2
- removed obsolete llvm10 patch

* Fri Apr 03 2020 Jan Palus <atler@pld-linux.org> 150ae4a
- fix llvm 10 detection; rel 3

* Thu Dec 05 2019 Jan Palus <atler@pld-linux.org> 66d9380
- release 2 (by relup.sh)

* Fri Nov 08 2019 Jakub Bogusz <qboosh@pld-linux.org> 963906e
- updated to 0.6.1

* Sat Sep 07 2019 Jan Palus <atler@pld-linux.org> d23be38
- llvm rebuild
- release 2 (by relup.sh)

* Sat Mar 30 2019 Jakub Bogusz <qboosh@pld-linux.org> bf29ecf
- updated to 0.6.0
- removed obsolete llvm patch
- devel part no longer installed

* Mon Dec 17 2018 Jacek Konieczny <j.konieczny@eggsoft.pl> c9f3588
- Release: 3 (rebuild with rtti llvm 7)

